Bug 1941136 - [abrt] systemd: sd_event_source_unref(): systemd-resolved killed by SIGSEGV
Summary: [abrt] systemd: sd_event_source_unref(): systemd-resolved killed by SIGSEGV
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: systemd
Version: 33
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: systemd-maint
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:705731dc4e8a18609170629fd55...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-03-20 09:17 UTC by JH
Modified: 2021-03-27 01:11 UTC (History)
10 users (show)

Fixed In Version: systemd-246.13-1.fc33
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-03-27 01:11:09 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (18.65 KB, text/plain)
2021-03-20 09:17 UTC, JH
no flags Details
File: core_backtrace (3.24 KB, text/plain)
2021-03-20 09:17 UTC, JH
no flags Details
File: cpuinfo (2.48 KB, text/plain)
2021-03-20 09:17 UTC, JH
no flags Details
File: dso_list (5.09 KB, text/plain)
2021-03-20 09:17 UTC, JH
no flags Details
File: environ (335 bytes, text/plain)
2021-03-20 09:17 UTC, JH
no flags Details
File: exploitable (82 bytes, text/plain)
2021-03-20 09:17 UTC, JH
no flags Details
File: limits (1.29 KB, text/plain)
2021-03-20 09:17 UTC, JH
no flags Details
File: machineid (135 bytes, text/plain)
2021-03-20 09:17 UTC, JH
no flags Details
File: maps (31.23 KB, text/plain)
2021-03-20 09:17 UTC, JH
no flags Details
File: mountinfo (6.09 KB, text/plain)
2021-03-20 09:17 UTC, JH
no flags Details
File: open_fds (2.31 KB, text/plain)
2021-03-20 09:17 UTC, JH
no flags Details
File: proc_pid_status (1.33 KB, text/plain)
2021-03-20 09:17 UTC, JH
no flags Details

Description JH 2021-03-20 09:17:00 UTC
Version-Release number of selected component:
systemd-246.10-1.fc33

Additional info:
reporter:       libreport-2.14.0
backtrace_rating: 4
cgroup:         0::/system.slice/systemd-resolved.service
cmdline:        /usr/lib/systemd/systemd-resolved
crash_function: sd_event_source_unref
executable:     /usr/lib/systemd/systemd-resolved
journald_cursor: s=dcf548bddf9f480b8d2d76002a8e8559;i=12da;b=f1acacbd444f4afe93ec9ab4dfd145e0;m=25d07d672;t=5bde8b6590e5a;x=575347939efc1732
kernel:         5.10.23-200.fc33.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            193

Truncated backtrace:
Thread no. 1 (9 frames)
 #0 sd_event_source_unref at ../src/libsystemd/sd-event/sd-event.c:1904
 #1 dns_query_stop at ../src/resolve/resolved-dns-query.c:301
 #2 dns_query_complete at ../src/resolve/resolved-dns-query.c:493
 #3 on_query_timeout at ../src/resolve/resolved-dns-query.c:504
 #4 source_dispatch at ../src/libsystemd/sd-event/sd-event.c:3189
 #5 sd_event_dispatch at ../src/libsystemd/sd-event/sd-event.c:3620
 #6 sd_event_run at ../src/libsystemd/sd-event/sd-event.c:3678
 #7 sd_event_loop at ../src/libsystemd/sd-event/sd-event.c:3700
 #8 run at ../src/resolve/resolved.c:92

Comment 1 JH 2021-03-20 09:17:06 UTC
Created attachment 1764829 [details]
File: backtrace

Comment 2 JH 2021-03-20 09:17:07 UTC
Created attachment 1764830 [details]
File: core_backtrace

Comment 3 JH 2021-03-20 09:17:08 UTC
Created attachment 1764831 [details]
File: cpuinfo

Comment 4 JH 2021-03-20 09:17:09 UTC
Created attachment 1764832 [details]
File: dso_list

Comment 5 JH 2021-03-20 09:17:10 UTC
Created attachment 1764833 [details]
File: environ

Comment 6 JH 2021-03-20 09:17:12 UTC
Created attachment 1764834 [details]
File: exploitable

Comment 7 JH 2021-03-20 09:17:13 UTC
Created attachment 1764835 [details]
File: limits

Comment 8 JH 2021-03-20 09:17:15 UTC
Created attachment 1764836 [details]
File: machineid

Comment 9 JH 2021-03-20 09:17:17 UTC
Created attachment 1764837 [details]
File: maps

Comment 10 JH 2021-03-20 09:17:19 UTC
Created attachment 1764838 [details]
File: mountinfo

Comment 11 JH 2021-03-20 09:17:20 UTC
Created attachment 1764839 [details]
File: open_fds

Comment 12 JH 2021-03-20 09:17:23 UTC
Created attachment 1764840 [details]
File: proc_pid_status

Comment 13 Zbigniew Jędrzejewski-Szmek 2021-03-23 09:54:07 UTC
This is similar to #1935084. hopefully it'll be fixed by the next update.

Comment 14 Fedora Update System 2021-03-23 11:35:38 UTC
FEDORA-2021-1c1a870ceb has been submitted as an update to Fedora 33. https://bodhi.fedoraproject.org/updates/FEDORA-2021-1c1a870ceb

Comment 15 Fedora Update System 2021-03-24 11:58:01 UTC
FEDORA-2021-1c1a870ceb has been submitted as an update to Fedora 33. https://bodhi.fedoraproject.org/updates/FEDORA-2021-1c1a870ceb

Comment 16 Fedora Update System 2021-03-25 01:31:49 UTC
FEDORA-2021-1c1a870ceb has been pushed to the Fedora 33 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-1c1a870ceb`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-1c1a870ceb

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 17 Fedora Update System 2021-03-27 01:11:09 UTC
FEDORA-2021-1c1a870ceb has been pushed to the Fedora 33 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.